Is Zwift launcher 1.0.50 EoL? [apparently yes]

image

This is a new error message as of this morning (UK). Is this because older launchers are no longer supported? Updating to 1.0.52 works as normal, rolling back you get this message again.

Please confirm, so I know I can unsubscribe. :rofl:

Ah man that sucks - I really hope they sort this soon but won’t hold my breath.

If you want a super old PC that runs it with okayish graphics let me know and you party like it’s 2014 with me!

1 Like

I had this same error on my PC just now. For some reason that system got “stuck” with the 1.0.50 launcher, and never auto-updated that when the client was updated.

So it produced that same error pop-up. I uninstalled Zwift, reinstalled it (with 1.0.52 launcher) and it’s fine now.

It can be done without reinstalling the whole game, though obviously it’s a bit late for you now. :wink:

1 Like

Answer to the question is almost certainly yes. Zwift appear to have raised the minimum TLS protocol accepted by the server to 1.2, which means it refuses connection requests from launchers older than 1.0.52 (current).

So they’ve done absolutely nothing to address the performance issues caused by the current launcher* - initially raised nine months ago - and are now forcing users onto it.

*More accurately, the files that launchers newer than version 1.0.50 install.

2 Likes

Oh bugga, this is going to be annoying.

Yeah, I’m not happy about this at all. The new launcher is crap, micro stutters everywhere. 1.0.50 is silky smooth on my i7/GTX1070 PC.
I can honestly say I’m seriously thinking of just cancelling my Zwift sub and sticking solely with RGT for the next 6 months. I really grudge paying for Zwift now, they can’t stop breaking things and haven’t fixed issues that have been there for years.

4 Likes

Yeah but we got a completely cosmetic new 12 speed groupset that is life changing!

1 Like

…and we still have a mechanical groupset on the Di2 equipped Venge :joy:

1 Like

And bikes that somehow move with no pedals attached to them. :rofl:

Be careful, the weight weenies will be all over this! no pedals! think of the weight saving! haha

2 Likes

When my wife and I rode this past Thursday we had all kinds of problems getting Zwift to run after the upgrade was applied. It took a while but we were able to get Zwift to launch using the 1.0.50 launcher, which we have been using so we didn’t get the avatar flickering. When we rode yesterday we couldn’t launch using 1.0.50, were getting the same error message that’s at the start of this thread, so we had to reinstall to 1.0.52. Zwift launched but the flickering was back. The only way we could get rid of the flickering was to lower our Nvidia cards refresh rate from 144hz to 60hz. The flickering went away but we were getting choppy graphics, guess I now need to lower the resolution. So much for our investment in gaming towers, GPU’s and monitors to enhance our Zwift experience. Thanks Zwift HQ!

3 Likes

You’ll not get rid of the choppiness, it’s the same cause: New launcher (1.0.51) causing stutter on Windows systems

Exactly my thoughts. Might as well use my laptop.

1 Like

Back to the intermittent flickering avatars and bike shadows here too. That is all that is affected, the bike and scenery don’t flicker. As previously discussed, it’s a Zwift error and nothing to do with the computer.
The old 1.0.50 launcher had resolved it completely… :frowning:

1 Like

Out of curiosity why is the new launcher “better”? I have noticed absolutely no difference between the two. why not just revert back to the old one? Seems no one is better off and some people are worse off.

You asked me that before. :wink:

There’s nothing ‘bad’ about those changes, they’re all well-intentioned and useful. But the devs either don’t know or don’t care that whatever they’ve changed negatively affects how the game itself runs.

I did think i had but couldn’t remember if I meant to ask or actually did ask!

1 Like

Why is Zwift refusing to acknowledge there’s an issue here? The flickering causes insane headaches for me.

At least the 1.0.50 launcher was a decent enough workaround.

Going to give RGT a go while I let my Zwift membership lapse

2 Likes

Essentially they don’t believe there’s any link between the launcher and the game itself. Which should be true of course, but demonstrably isn’t. The other factor is that it doesn’t impact the vast majority of users; those who are on ATV/phone/tablet, or a PC that doesn’t provide frame rates over 20-30fps in the first place. So people like me probably sound unreasonable, even though all I’m ‘demanding’ is that performance remains as good as it was before. I’ve been moaning about this since December. :confused:

5 Likes